## radon 2.3.1+dfsg

=== requirements.txt ===
mando>=0.6,<0.7
colorama>=0.3,<0.4
flake8_polyfill

=== debian/changelog ===
radon (2.3.1+dfsg-1) unstable; urgency=medium

  * Repack to remove files already included in libjs-mathjax
  * Complete debian/copyright for remaining files. (Closes: #910659)
  * Drop watch file, upstream has stopped creating release tags.
  * Switch radon to Arch:all

 -- Neil Williams <codehelp@debian.org>  Tue, 09 Oct 2018 14:41:16 +0100

radon (2.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #910563: ITP: radon -- Code metric
    generator for python)

 -- Neil Williams <codehelp@debian.org>  Mon, 08 Oct 2018 09:26:49 +0100

=== debian/control ===
Source: radon
Section: devel
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: debhelper (>= 11), dh-python,
 python3, python3-flake8-polyfill, python3-sphinx,
 libjs-mathjax, python3-docutils
Standards-Version: 4.2.1
Homepage: https://github.com/rubik/radon
Vcs-Browser: https://github.com/codehelp/pkg-radon
Vcs-Git: https://github.com/codehelp/pkg-radon

Package: radon
Architecture: all
Depends: python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
Description: Python tool to compute code metrics (Python3)
 Radon is a Python tool which computes various code metrics.
 Supported metrics are:
 .
 raw metrics: SLOC, comment lines, blank lines, &c.
 Cyclomatic Complexity (i.e. McCabe’s Complexity)
 Halstead metrics (all of them)
 the Maintainability Index (a Visual Studio metric)
 .
 Radon can be used either from the command line or
 programmatically through its API.

Package: python-radon-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python tool to compute code metrics (common documentation)
 Radon is a Python tool which computes various code metrics.
 Supported metrics are:
 .
 raw metrics: SLOC, comment lines, blank lines, &c.
 Cyclomatic Complexity (i.e. McCabe’s Complexity)
 Halstead metrics (all of them)
 the Maintainability Index (a Visual Studio metric)
 .
 Radon can be used either from the command line or
 programmatically through its API.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

# This has to be exported to make some magic below work.
export DH_OPTIONS
export PYBUILD_NAME=radon
export PYBUILD_DISABLE_python2.7=test

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	mkdir -p debian/python-radon-doc/usr/share/doc/python-radon-doc/html/_static/
	ln -s /usr/share/javascript/mathjax/MathJax.js debian/python-radon-doc/usr/share/doc/python-radon-doc/html/_static/MathJax.js
	python3 setup.py build
	make -C docs/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
	find . -name objects.inv -delete

override_dh_auto_install:
	mkdir -p debian/python-radon-doc/usr/share/doc/python-radon-doc/html/_static/
	ln -s /usr/share/javascript/mathjax/MathJax.js debian/python-radon-doc/usr/share/doc/python-radon-doc/html/_static/MathJax.js
	python3 setup.py install --root=$(CURDIR)/debian/radon/ --install-layout=deb
	rst2man debian/radon.rst > debian/radon.1
	dh_installman -pradon debian/radon.1
	find . -name objects.inv -delete

override_dh_auto_clean:
	python3 setup.py clean -a
	find . -path '*/__pycache__/*' -delete
	find . -type d -name '__pycache__' -empty -delete

## radon 3.0.3+dfsg

=== requirements.txt ===
mando>=0.6,<0.7
colorama>=0.4,<0.5
flake8_polyfill
future

=== debian/changelog ===
radon (3.0.3+dfsg-1) unstable; urgency=medium

  [ Neil Williams ]
  * New upstream release
  * Stage changes for later upload to unstable once buster is released.
  * Apply upstream fix to make the build reproducible (Closes: #912152)
  * Add autopkgtest support

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Neil Williams <codehelp@debian.org>  Sun, 28 Jul 2019 16:33:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: radon
 Section: devel
 Priority: optional
-Maintainer: Neil Williams <codehelp@debian.org>
-Build-Depends: debhelper (>= 11), dh-python,
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Neil Williams <codehelp@debian.org>
+Build-Depends: debhelper-compat (= 11), dh-python,
  python3, python3-flake8-polyfill, python3-sphinx,
  libjs-mathjax, python3-docutils
 Standards-Version: 4.2.1
 Homepage: https://github.com/rubik/radon
-Vcs-Browser: https://github.com/codehelp/pkg-radon
-Vcs-Git: https://github.com/codehelp/pkg-radon
+Vcs-Git: https://salsa.debian.org/python-team/applications/radon.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/radon.git
 
 Package: radon
 Architecture: all

## radon 4.1.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,13 @@
 	dh_installman -pradon debian/radon.1
 	find . -name objects.inv -delete
 
+override_dh_auto_test:
+	# uses autopkgtest due to avoid adding extra build deps
+	true
+
 override_dh_auto_clean:
 	python3 setup.py clean -a
 	find . -path '*/__pycache__/*' -delete
 	find . -type d -name '__pycache__' -empty -delete
+	${RM} -r docs/_build/ radon.egg-info .pytest_cache

## radon 4.1.0+dfsg

=== Makefile ===
.PHONY: tests cov htmlcov pep8 pylint docs dev-deps test-deps publish coveralls

tests:
	python radon/tests/run.py

cov:
	coverage erase && coverage run --include "radon/*" --omit "radon/__init__.py,radon/cli.py,radon/tests/*" radon/tests/run.py
	coverage report -m

htmlcov: cov
	coverage html

pep8:
	pep8 radon --exclude "radon/tests" --ignore "E731"

pylint:
	pylint --rcfile pylintrc radon

docs:
	cd docs && make html

test-deps:
	pip install -r test_requirements.pip

publish:
	rm -rf dist/*
	python setup.py sdist bdist_wheel
	twine upload dist/*
	python setup.py develop

coveralls: test-deps cov
	coveralls

=== requirements.txt ===
mando>=0.6,<0.7
colorama==0.4.1
flake8_polyfill
future

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Radon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Radon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Radon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Radon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
radon (4.1.0+dfsg-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * Add d/watch file.
  * New upstream version 4.1.0+dfsg (Closes: #950841).
  * d/control: Bump standard-version to 4.5.0.
  * d/control: Fix Maintener field.
    - Change fom DPMT to PAPT

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 07 Feb 2020 19:08:25 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: radon
 Section: devel
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Neil Williams <codehelp@debian.org>
 Build-Depends: debhelper-compat (= 11), dh-python,
  python3, python3-flake8-polyfill, python3-sphinx,
  libjs-mathjax, python3-docutils
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/rubik/radon
 Vcs-Git: https://salsa.debian.org/python-team/applications/radon.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/radon.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/radon
 
 Package: radon
 Architecture: all

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, python3-pytest-mock, radon
Restrictions: allow-stderr, needs-root

## radon 5.1.0

=== requirements.txt ===
mando>=0.6,<0.7
colorama==0.4.1;python_version<='3.4'
colorama>=0.4.1;python_version>'3.4'
future

=== debian/changelog ===
radon (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add missing BD for dh_python
  * Bump Standards Version (no changes)
  
  * Include changes from Salsa

    [Lintian brush]
    Bump debhelper from old 12 to 13.
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    Fixes: lintian: upstream-metadata-missing-repository
    Trim trailing whitespace.

    [Debian Janitor]
    Apply multi-arch hints.
    + python-radon-doc: Add Multi-Arch: foreign.
    d/control: Update Vcs-* fields with new
      Debian Python Team Salsa layout
    d/control: Update Maintainer field with new Debian
      Python Team contact address

 -- Neil Williams <codehelp@debian.org>  Sat, 09 Oct 2021 11:59:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -42,4 +42,3 @@
 	find . -path '*/__pycache__/*' -delete
 	find . -type d -name '__pycache__' -empty -delete
 	${RM} -r docs/_build/ radon.egg-info .pytest_cache
-

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/radon-$1\.tar\.gz/ \
  https://github.com/rubik/radon/tags .*/v?(\d\S+)\.tar\.gz

## radon 6.0.1+ds1

=== Makefile ===
.PHONY: format lint f tests cov htmlcov pep8 pylint docs dev-deps test-deps publish coveralls

source_dirs = radon
isort = isort -rc $(source_dirs)
black = black --line-length 79 --skip-string-normalization \
		--target-version py27 $(source_dirs)
flake8 = flake8 $(source_dirs)

format:
	$(isort)
	$(black)

lint:
	$(flake8)

f: format lint

tests:
	python radon/tests/run.py

cov:
	coverage erase && coverage run --branch --include "radon/*" --omit "radon/__init__.py,radon/cli.py,radon/tests/*" radon/tests/run.py
	coverage report -m

htmlcov: cov
	coverage html

pep8:
	pep8 radon --exclude "radon/tests" --ignore "E731"

pylint:
	pylint --rcfile pylintrc radon

docs:
	cd docs && make html

test-deps:
	pip install -r test_requirements.txt

publish:
	rm -rf dist/*
	python setup.py sdist bdist_wheel
	twine upload dist/*
	python setup.py develop

coveralls: test-deps cov
	coveralls

=== requirements.txt ===
mando>=0.6,<0.8
colorama==0.4.1;python_version<='3.4'
colorama>=0.4.1;python_version>'3.4'

=== debian/changelog ===
radon (6.0.1+ds1-4) unstable; urgency=medium

  * Team upload.
  * Reformat with debputy
  * Add build-dep on python3-setuptools (Closes: #1100295)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Mar 2025 18:25:33 +0100

radon (6.0.1+ds1-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-flake8-polyfill

 -- Alexandre Detiste <tchet@debian.org>  Fri, 17 Jan 2025 12:53:00 +0100

radon (6.0.1+ds1-2) unstable; urgency=medium

  * Reinstate allow_newer_mando.patch
  * Remove dependency on python3-pkg-resources (Closes: #1083737)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Oct 2024 01:55:13 +0200

radon (6.0.1+ds1-1) unstable; urgency=medium

  * Adopt package inside Python Team
  * New upstream version 6.0.1+ds1 (Closes: #1058985)
  * Allow to build source after successful build (Closes: #1045509)

  [ Neil Williams ]
  * Update control to remove myself from Uploaders

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jan 2024 22:01:34 +0100

radon (5.1.0-2) unstable; urgency=medium

  * Allow newer mando support

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Mar 2022 14:50:09 +0000

=== debian/control ===
Source: radon
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libjs-mathjax,
 python3-all:any,
 python3-docutils,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/rubik/radon
Vcs-Git: https://salsa.debian.org/python-team/packages/radon.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/radon
X-Style: black

Package: radon
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python tool to compute code metrics (Python3)
 Radon is a Python tool which computes various code metrics.
 Supported metrics are:
 .
 raw metrics: SLOC, comment lines, blank lines, &c.
 Cyclomatic Complexity (i.e. McCabe’s Complexity)
 Halstead metrics (all of them)
 the Maintainability Index (a Visual Studio metric)
 .
 Radon can be used either from the command line or
 programmatically through its API.

Package: python-radon-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python tool to compute code metrics (common documentation)
 Radon is a Python tool which computes various code metrics.
 Supported metrics are:
 .
 raw metrics: SLOC, comment lines, blank lines, &c.
 Cyclomatic Complexity (i.e. McCabe’s Complexity)
 Halstead metrics (all of them)
 the Maintainability Index (a Visual Studio metric)
 .
 Radon can be used either from the command line or
 programmatically through its API.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,9 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 export PYBUILD_NAME=radon
-export PYBUILD_DISABLE_python2.7=test
 
 %:
-	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	mkdir -p debian/python-radon-doc/usr/share/doc/python-radon-doc/html/_static/

=== debian/tests/control ===
Tests:
 testsuite,
Depends:
 python3-pytest-mock,
 @,
Restrictions:
 allow-stderr,
 needs-root,

=== debian/watch ===
version=4

# GitHub hosted projects
# repack to remove docs/_static
# allow for upstream tag names starting with v
opts="repacksuffix=+ds1,dversionmangle=s/\+ds1//,repack,compression=gz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%radon-$1.tar.gz%" \
  https://github.com/rubik/radon/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
